ipad2 4.3.5 update problem

Discussion in 'iPad Help' started by irbow, Aug 14, 2011.

  1. irbow
    Offline

    irbow iPF Noob

    Joined:
    Jul 17, 2011
    Messages:
    1
    Thanks Received:
    0
    Trophy Points:
    0
    Ratings:
    +0 / 0
    Hi,

    I have an ipad2 running ios4.3.4 and a PPC G5 Mac using itunes 10.4 (80) I had previously downloaded the 4.3.5 update but chose to install later. When I did choose to update I got the following message.

    The ipad "xxx" could not be updated. This device isn't eligible for the requested build.

    I clicked the link to Apples help and have followed their suggestions but nothing changes. I am not desperate for this upgrade as everything else is working as normal but I don't want to be in a position where I can't restore if something goes wrong or update to ios 5 when it comes out. Any help with this would be greatly appreciated.

    Iain
     
  2. peled
    Offline

    peled iPad Junkie

    Joined:
    Oct 31, 2010
    Messages:
    890
    Thanks Received:
    3
    Trophy Points:
    0
    Location:
    Israel
    Ratings:
    +3 / 0
    4.3.5 is an upgrade that came to serve Apple, in order to block Jailbreak. Don't spend any energy, to try and get that version.
    Wait for version 5 coming on Sep-Nov. It would be possible to upgrade into 5 even from a version 3 - You can be sure of that.
     

Share This Page

Search tags for this page

4.3.5 can t update

,
can ipad version 4.3.5 be upgraded?
,
can't update ios 4.3.5 ipad2
,
ipad 3 cheking for update problem
,
ipad2 update problem